InstrumentingCache (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cache

## Class InstrumentingCache<K,V>

- java.lang.Object
- - org.apache.cassandra.cache.InstrumentingCache<K,V>

- Direct Known Subclasses:
    AutoSavingCache

      public class InstrumentingCache<K,V>
      extends java.lang.Object

  Wraps an ICache in requests + hits tracking.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstrumentingCache(java.lang.String type, ICache<K,V> map)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(K key)`
    `V` | `get(K key)`
    `long` | `getCapacity()`
    `V` | `getInternal(K key)`
    `CacheMetrics` | `getMetrics()`
    `java.util.Iterator<K>` | `hotKeyIterator(int n)`
    `java.util.Iterator<K>` | `keyIterator()`
    `void` | `put(K key, V value)`
    `boolean` | `putIfAbsent(K key, V value)`
    `void` | `remove(K key)`
    `boolean` | `replace(K key, V old, V value)`
    `void` | `setCapacity(long capacity)`
    `int` | `size()`
    `long` | `weightedSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InstrumentingCache

          public InstrumentingCache(java.lang.String type,
                                    ICache<K,V> map)

  - ### Method Detail

    - #### put

          public void put(K key,
                          V value)

    - #### putIfAbsent

          public boolean putIfAbsent(K key,
                                     V value)

    - #### replace

          public boolean replace(K key,
                                 V old,
                                 V value)

    - #### get

          public V get(K key)

    - #### getInternal

          public V getInternal(K key)

    - #### remove

          public void remove(K key)

    - #### getCapacity

          public long getCapacity()

    - #### setCapacity

          public void setCapacity(long capacity)

    - #### size

          public int size()

    - #### weightedSize

          public long weightedSize()

    - #### clear

          public void clear()

    - #### keyIterator

          public java.util.Iterator<K> keyIterator()

    - #### hotKeyIterator

          public java.util.Iterator<K> hotKeyIterator(int n)

    - #### containsKey

          public boolean containsKey(K key)

    - #### getMetrics

          public CacheMetrics getMetrics()

Copyright © 2018 The Apache Software Foundation